package com.xiaoniu.subsystem.file.service;

import jakarta.servlet.http.HttpServletResponse;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 文件上传接口
 * 
 * @author xiaoniu
 */
public interface ISysFileService
{
    /**
     * 文件上传接口
     * 
     * @param file 上传的文件
     * @return 访问地址
     * @throws Exception
     */
    public String uploadFile(MultipartFile file) throws Exception;

    public void downloadFile(HttpServletResponse response,String fileUrl);

    public void downloadAndZip(HttpServletResponse response, List<String> urls);
}
